Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.resources.border
Class RoundedBorderResource.RoundedBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          org.flexdock.plaf.resources.border.RoundedBorderResource.RoundedBorder

All Implemented Interfaces:
  Serializable, Border

Enclosing class:
  RoundedBorderResource

    public static class RoundedBorderResource.RoundedBorder

extends AbstractBorder

See Also:
  Serialized Form

Constructor Summary
`RoundedBorderResource.RoundedBorder(Color color)`

Method Summary
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

Methods inherited from class javax.swing.border.AbstractBorder
`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundedBorderResource.RoundedBorder

    public RoundedBorderResource.RoundedBorder(Color color)

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `Border`
  Overrides:
    `paintBorder` in class `AbstractBorder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD